at.chipkarte.client.rez.soap

## Class ERezeptReferenz

- Object
- - at.chipkarte.client.rez.soap.ERezeptReferenz

-     public class ERezeptReferenz
      extends Object

  Daten eines mittels e-card abgefragten e-Rezeptes mittels der Funktion `eRezeptMitECardAbfragen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ERezeptReferenz()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Partnerdaten` | `getAussteller()` Partnerdaten des Ausstellers.
    `String` | `getAusstellungsdatum()` Datum der Ausstellung.
    `String` | `getEmedId()` EMED-ID (DokumentenId) für dieses Dokument.
    `Boolean` | `getErstabgabeErfolgt()` Information, ob zu dem Privatrezept bereits eine Erstabgabe erfolgt ist.
    `String` | `getFachgebiet()` Fachgebiet des Ausstellers.
    `String` | `getGrundKeineEinloesung()` Begründung warum das e-Rezept nicht (mehr) einlösbar ist.
    `String` | `getGueltigBis()` Gültig Bis Datum.
    `String` | `getGueltigBisErstabgabe()` Berechnetes Datum des Privatrezeptes bis zu dem die erste Abgabe erfolgt sein muss.
    `Boolean` | `getKeineVerordnunginBestellung()` Information, ob in dem Privatrezept keine Verordnung aktuell den Status "In Bestellung" besitzt.
    `String` | `getRezeptart()` Information um welche Art von Rezept es sich handelt.
    `String` | `getRezId()` Eindeutige ID eines e-Rezeptes.
    `String` | `getStatus()` Status des e-Rezepts.
    `String` | `getSuchtgift()` Suchtgift.
    `boolean` | `isEinloesbar()` Kennzeichen zur Einlösbarkeit des e-Rezeptes.
    `void` | `setAussteller(Partnerdaten aussteller)`
    `void` | `setAusstellungsdatum(String ausstellungsdatum)`
    `void` | `setEinloesbar(boolean einloesbar)`
    `void` | `setEmedId(String emedId)`
    `void` | `setErstabgabeErfolgt(Boolean erstabgabeErfolgt)`
    `void` | `setFachgebiet(String fachgebiet)`
    `void` | `setGrundKeineEinloesung(String grundKeineEinloesung)`
    `void` | `setGueltigBis(String gueltigBis)`
    `void` | `setGueltigBisErstabgabe(String gueltigBisErstabgabe)`
    `void` | `setKeineVerordnunginBestellung(Boolean keineVerordnunginBestellung)`
    `void` | `setRezeptart(String rezeptart)`
    `void` | `setRezId(String rezId)`
    `void` | `setStatus(String status)`
    `void` | `setSuchtgift(String suchtgift)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ERezeptReferenz

          public ERezeptReferenz()

  - ### Method Detail

    - #### getRezId

          public String getRezId()

      Eindeutige ID eines e-Rezeptes.
      Format: 12-stellig
      Angabe: Muss.
      Returns:
        Returns the rezId.

    - #### setRezId

          public void setRezId(String rezId)

    - #### getRezeptart

          public String getRezeptart()

      Information um welche Art von Rezept es sich handelt.
      Angabe: Muss. Mögliche Werte: `RezeptartConstants`.
      Returns:
        Rezeptart.

    - #### setRezeptart

          public void setRezeptart(String rezeptart)

    - #### getAusstellungsdatum

          public String getAusstellungsdatum()

      Datum der Ausstellung.
      Format: TT.MM.JJJJ
      Angabe: Muss
      Returns:
        Ausstellungsdatum

    - #### setAusstellungsdatum

          public void setAusstellungsdatum(String ausstellungsdatum)

    - #### getGueltigBis

          public String getGueltigBis()

      Gültig Bis Datum.
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Gültig Bis

    - #### setGueltigBis

          public void setGueltigBis(String gueltigBis)

    - #### getGueltigBisErstabgabe

          public String getGueltigBisErstabgabe()

      Berechnetes Datum des Privatrezeptes bis zu dem die erste Abgabe erfolgt sein muss.
      Format: TT.MM.JJJJ
      Angabe: Bedingt. Immer versorgt bei einem Privatrezept. Nie versorgt bei einem Kassenrezept.
      Returns:
        GültigBis Erstabgabedatum

    - #### setGueltigBisErstabgabe

          public void setGueltigBisErstabgabe(String gueltigBisErstabgabe)

    - #### getAussteller

          public Partnerdaten getAussteller()

      Partnerdaten des Ausstellers. Siehe `Partnerdaten`.
      Angabe: Muss.
      Returns:
        Aussteller

    - #### setAussteller

          public void setAussteller(Partnerdaten aussteller)

    - #### getFachgebiet

          public String getFachgebiet()

      Fachgebiet des Ausstellers.
      Mögliche Werte: `getFachgebiete`.
      Angabe: Muss.
      Returns:
        Code des Fachgebiets

    - #### setFachgebiet

          public void setFachgebiet(String fachgebiet)

    - #### getStatus

          public String getStatus()

      Status des e-Rezepts.
      Mögliche Werte: `StatusERezeptConstants`.
      Angabe: Muss.
      Returns:
        Code des Status

    - #### setStatus

          public void setStatus(String status)

    - #### getErstabgabeErfolgt

          public Boolean getErstabgabeErfolgt()

      Information, ob zu dem Privatrezept bereits eine Erstabgabe erfolgt ist.
      Angabe: Bedingt. Immer versorgt bei einem Privatrezept. Nie versorgt bei einem Kassenrezept.
      Returns:
        Information, ob eine Erstabgabe erfolgt ist.

    - #### setErstabgabeErfolgt

          public void setErstabgabeErfolgt(Boolean erstabgabeErfolgt)

    - #### getKeineVerordnunginBestellung

          public Boolean getKeineVerordnunginBestellung()

      Information, ob in dem Privatrezept keine Verordnung aktuell den Status "In Bestellung" besitzt.
      Angabe: Bedingt. Immer versorgt bei einem Privatrezept. Nie versorgt bei einem Kassenrezept.
      Returns:
        Information, ob eine/keine Verorndung in Bestellung ist.

    - #### setKeineVerordnunginBestellung

          public void setKeineVerordnunginBestellung(Boolean keineVerordnunginBestellung)

    - #### isEinloesbar

          public boolean isEinloesbar()

      Kennzeichen zur Einlösbarkeit des e-Rezeptes.
      Angabe: Muss.
      Returns:
        einlösbar

    - #### setEinloesbar

          public void setEinloesbar(boolean einloesbar)

    - #### getGrundKeineEinloesung

          public String getGrundKeineEinloesung()

      Begründung warum das e-Rezept nicht (mehr) einlösbar ist.
      Mögliche Werte: `GrundNichtEinloesbarConstants`.
      Angabe: Bedingt.
      Returns:
        Code für die Begründung

    - #### setGrundKeineEinloesung

          public void setGrundKeineEinloesung(String grundKeineEinloesung)

    - #### getEmedId

          public String getEmedId()

      EMED-ID (DokumentenId) für dieses Dokument.
      Format: 12-stellig
      Angabe: Kann.
      Returns:
        EMED-ID

    - #### setEmedId

          public void setEmedId(String emedId)

    - #### getSuchtgift

          public String getSuchtgift()

      Suchtgift. Wenn JA, dann ist dieses Rezept ein Suchtgiftrezept.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        Suchtgift

    - #### setSuchtgift

          public void setSuchtgift(String suchtgift)